gnutls_cipher_decrypt2(3)

NAME
gnutls_cipher_decrypt2 - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_cipher_decrypt2(gnutls_cipher_hd_t handle, const void * ciphertext, size_t ciphertextlen, void * text, size_t textlen);

ARGUMENTS

gnutls_cipher_hd_t handle
    is a gnutls_cipher_hd_t structure.

const void * ciphertext
    the data to encrypt

size_t ciphertextlen
    The length of data to encrypt

void * text
    the decrypted data

size_t textlen
    The available length for decrypted data

DESCRIPTION
This function will decrypt the given data using the algorithm specified by the context.

RETURNS
Zero or a negative value on error.

SINCE
2.10.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.